# $Revision: 1.11 $, $Date: 2005/08/13 18:04:34 $
Summary:	General purpose video codec
Summary(pl):	Kodek obrazu oglnego przeznaczenia
Name:		dirac
Version:	0.5.2
Release:	2
License:	MPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/dirac/%{name}-%{version}.tar.gz
# Source0-md5:	e83e3dc3025c04b3163fbcd1d5e6a328
Patch0:		%{name}-am.patch
URL:		http://www.bbc.co.uk/rd/projects/dirac/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	perl-base
BuildRequires:	tetex-dvips
BuildRequires:	tetex-format-latex
BuildRequires:	tetex-metafont
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautocompressdoc	*.map *.dot

%description
Dirac is a general-purpose video codec aimed at resolutions from QCIF
(180x144) to HDTV (1920x1080) progressive or interlaced. It uses
wavelets, motion compensation and arithmetic coding.

%description -l pl
Dirac jest kodekiem oglnego przeznaczenia dla obrazu o
rozdzielczociach od QCIF (180x144) do HDTV (1920x1080). Kodek ten
wykorzystuje fale elementarne (wavelets), kompensacj ruchu (motion
compensation) oraz kodowanie arytmetyczne (arithmetic coding).

%package devel
Summary:	Header files for dirac library
Summary(pl):	Pliki nagwkowe biblioteki dirac
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for dirac library.

%description devel -l pl
Pliki nagwkowe biblioteki dirac.

%package static
Summary:	Static dirac library
Summary(pl):	Statyczna biblioteka dirac
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static dirac library.

%description static -l pl
Statyczna biblioteka dirac.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	CPPUNITTESTS_DIR=

rm -f doc/api/html/*.md5
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/dirac

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO doc/faq.htm
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/api/html doc/programmers/programmers_guide.pdf doc/dirac_doc_howto.txt
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/%{name}
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dirac.spec,v $
Revision 1.11  2005/08/13 18:04:34  qboosh
- don't install unit testsuite program (avoid cppunit dependency)
- release 2

Revision 1.10  2005/06/26 19:34:22  freetz
- fixed docs install insanity

Revision 1.9  2005/06/03 17:42:21  qboosh
- updated to 0.5.2

Revision 1.8  2005/03/03 13:16:49  charles
- updated to 0.5.1
- BR tetex-metafont

Revision 1.7  2004/12/25 17:40:50  qboosh
- unified

Revision 1.6  2004/12/03 22:57:13  qboosh
- updated to 0.5.0, removed obsolete shared patch, added am patch
- BR+R libstdc++-devel, BR: tetex-dvips, License unification

Revision 1.5  2004/09/21 20:29:00  paszczus
- updated to 0.4.3

Revision 1.4  2004/08/31 03:31:58  snurf
- typos / formatting / etc.

Revision 1.3  2004/08/26 13:52:06  grzegol
- updated to 0.4.1

Revision 1.2  2004/08/03 00:24:13  grzegol
- fixed include files

Revision 1.1  2004/08/02 21:17:11  grzegol
- new
